Request JSON Parameters
This section provides the list of parameters in the JSON Request.
Table 6-3 Parameters in the JSON Request
| Parameter | Type | Required | Description |
|---|---|---|---|
| userId | STRING | Yes | The User ID for which the As-of-Date is to be updated. |
| appName | STRING | Yes | The Application Name for which the As-of-Date is to be updated. For Funds Transfer Pricing, the value is FTP. |
| as-of-date | STRING | Yes | The As-of-Date value to be set, in yyyy-mm-dd format. |
Request JSON Sample
{
"userId": "cneadmin",
"appName": "FTP",
"as-of-date": "2024-12-31"
}Sample cURL Command
curl -k --location --request POST 'https://<hostname>/<TENANT-ID>/
public/preferences/asofdate' \
--data-raw '{"userId": "<USER_ID>", "appName": "<APP_NAME>",
"as-of-date": "<YYYY-MM-DD>"}' \
--header 'ofs_remote_user: <USERID>' \
--header 'locale: en-US' \
--header 'ofs_tenant_id: <TENANT-ID>' \
--header 'ofs_workspace_id: WS001' \
--header 'content-type: application/json' \
--header 'Authorization: Bearer <TOKEN>'